using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("oneAmt", typeof(Int32));
        table.Columns.Add("twoAmt", typeof(Int32));
        table.Columns.Add("threeAmt", typeof(Int32));
        for (int i = 1; i < 8; i++)
        {
            table.Rows.Add(i + 100, i, i);
        }
        RadGrid1.DataSource = table;

    }
}
